* BEGIN MODEL LM7332
*//////////////////////////////////////////////////////////////////////
* (C) National Semiconductor, Corporation.
* Models developed and under copyright by:
* National Semiconductor, Corporation.  
*/////////////////////////////////////////////////////////////////////
* Legal Notice:  
* The model may be copied, and distributed without any modifications;
* however, reselling or licensing the material is illegal.
* We reserve the right to make changes to the model without prior notice. 
* Pspice Models are provided "AS IS, WITH NO WARRANTY OF ANY KIND" 
*/////////////////////////////////////////////////////////////////
* PINOUT ORDER +IN -IN +V -V OUT
* PINOUT ORDER  3   2   8  4  1
.SUBCKT LM7332 3 2 8 4 1
* SEE BELOW FOR PROGRAMMING INFORMATION
*
* SEE BELOW FOR MODEL FEATURES
*
* NOTE THAT THIS MODEL IS FOR ONE HALF OF THE DUAL PART, THUS THE
* QUIESCENT CURRENTS ARE HALVED.
*
* START PROGRAMMING
* BECAUSE THE PARAMETERS OF THE LM7332 VARY NOTICABLY AND NONLINEARLY
* WITH OPERATING VOLTAGE OVER THE WIDE OPERATING VOLTAGE RANGE OF THE
* PART (5 TO 30 VOLTS), THE MODEL IS PROGRAMMABLE TO SOME EXTENT.
* THERE ARE THREE GROUPS OF SPICE STATEMENTS FOR PROGRAMMING. ONLY
* ONE GROUP SHOULD BE UN-COMMENTED AT A TIME. THE THREE GROUPS ARE
* FOR 5, 10, AND 30 VOLTS TOTAL ACROSS THE PART. THE MODEL IS NOW
* SET UP FOR 10 VOLTS IE THE 10 VOLT GROUP IS UN-COMMENTED. FOR OTHER
* SUPPLY VOLTAGES THE VALUES MAY BE INTERPOLATED. SEE BELOW FOR AN
* INDEX TO THE FUNCTIONS OF THE PROGRAMMABLE COMPONENTS. V6 AND V7
* MAY BE ADJUSTED FOR ANY DESIRED OFFSET OR OFFSET DELTA FOR INPUT
* COMMON MODE NEAR THE POSITIVE RAIL. NOTE THAT BECAUSE THE MODEL
* HAS REALISTIC COMMON MODE AND POWER SUPPLY REJECTION, THE OFFSET
* WILL CHANGE WITH SUPPLY VOLTAGES AND COMMON MODE VOLTAGE.
* 10 VOLT TOTAL SUPPLY GROUP
V6 46 56 -0.6E-3
V7 64 56 1.5E-3
C24 19 31 8.2E-12
R316 50 47 67
R317 50 49 67
R318 57 62 67
R319 54 62 67
R159 23 18 1.7E6
R219 18 31 3.5E7
E84 16 13 16 15 2.6
E85 12 11 17 11 3.15
G30 63 68 94 0 1.2E-4
G27 63 68 71 72 9.6E-5
E156 75 2 93 0 1.55
.MODEL QOP PNP RC=30 IS=1E-13
* END 10 VOLT TOTAL GROUP
*
* 5 VOLT TOTAL SUPPLY GROUP
*V6 46 56 -0.6E-3
*V7 64 56 1.5E-3
*C24 19 31 9.0E-12
*R316 50 47 60
*R317 50 49 60
*R318 57 62 60
*R319 54 62 60
*R159 23 18 1.0E6
*R219 18 31 2.7E7
*E84 16 13 16 15 3.35
*E85 12 11 17 11 3.35
*G30 63 68 94 0 1.45E-4
*G27 63 68 71 72 1.3E-4
*E156 75 2 93 0 1.59
*.MODEL QOP PNP RC=20 IS=1E-13
* END 5 VOLT TOTAL GROUP
*
* 30 VOLT TOTAL SUPPLY GROUP
*V6 46 56 -0.6E-3
*V7 64 56 1.5E-3
*C24 19 31 7.1E-12
*R316 50 47 69
*R317 50 49 69
*R318 57 62 69
*R319 54 62 69
*R159 23 18 1.7E6
*R219 18 31 3.5E7
*E84 16 13 16 15 2.55
*E85 12 11 17 11 2.55
*G30 63 68 94 0 1.1E-4
*G27 63 68 71 72 9.03E-5
*E156 75 2 93 0 1.7
*.MODEL QOP PNP RC=13 IS=1E-13
* END 30 VOLT TOTAL GROUP
*
* END PROGRAMMING
*
* INDEX TO SOME PROGRAMMABLE COMPONENT FUNCTIONS
* THE LINES IN THIS INDEX MUST ALWAYS REMAIN COMMENTED
*
*V6    RELATIVE OFFSET BETWEEN INPUT STAGES
*V7    OVERALL  OFFSET
*
* END OF INDEX
*
* MODEL FEATURES INCLUDE GAIN AND PHASE, SLEW RATE,
* VOLTAGE NOISE WITH 1/F, CURRENT NOISE WITH 1/F,
* INPUT BIAS CURRENT, INPUT BIAS CURRENT CHANGE
* WHEN COMMON MODE VOLTAGE NEAR THE + RAIL, INPUT
* OFFSET VOLTAGE, INPUT OFFSET VOLTAGE CHANGE WHEN
* WHEN COMMON MODE VOLTAGE NEAR THE + RAIL, INPUT
* OFFSET TEMPCO, COMMON MODE RANGE, CMRR WITH FREQ
* EFFECTS, PSRR WITH FREQ EFFECTS, OUTPUT SWING,
* OUTPUT CURRENT FLOWS THROUGH THE RAILS, OUTPUT
* CURRENT LIMIT, IQ, IQ TEMPCO, IQ CHANGE WITH
* COMMON MODE VOLTAGE, AND CAPACATIVE LOAD EFFECTS.
*
* MODEL TEMP RANGE IS -40 TO +125 DEG C.
*
* NOTE THAT MODEL IS FUNCTIONAL OVER THIS RANGE BUT
* NOT ALL PARAMETERS TRACK THOSE OF THE REAL PART.
*
Q41 9 10 11 QLN
R148 10 12 1E3
R149 13 14 1E3
R150 15 16 2.7
R151 11 17 2.7
R153 18 19 500
R154 20 16 2.7
R155 11 21 2.7
D22 22 8 DD
D23 4 22 DD
E58 11 0 4 0 1
E79 16 0 8 0 1
R156 4 8 1.1E5
E60 23 11 16 11 0.5
D24 24 16 DD
D25 11 25 DD
R157 26 27 100
R158 28 29 100
G14 18 23 30 23 0.1E-3
C25 22 0 0.5E-12
D26 29 9 DD
D27 32 27 DD
Q42 32 14 16 QLP
R160 22 33 1
R161 34 22 1
E71 35 23 36 37 -1
R162 35 30 1E3
C26 30 23 0.1E-12
G15 38 23 18 23 -1E-3
G16 23 39 18 23 1E-3
G17 23 40 41 11 1E-3
G18 42 23 16 43 1E-3
D28 42 38 DD
D29 39 40 DD
R163 38 42 1E9
R164 40 39 1E9
R165 42 16 1E3
R166 11 40 1E3
R167 39 23 1E7
R168 40 23 1E7
R169 23 42 1E7
R170 23 38 1E7
R171 23 30 1E9
R172 26 16 1E9
R173 11 28 1E9
G20 43 41 44 0 54E-6
L2 22 1 0.4E-9
R175 22 1 4E2
R176 43 16 1E8
R177 11 41 1E8
R178 17 29 1E8
R179 15 27 1E8
E24 31 0 22 0 1
Q52 33 27 15 QOP
Q53 34 29 17 QON
Q54 41 41 21 QON
Q55 43 43 20 QOP
E144 16 26 16 42 1
E145 28 11 40 11 1
E51 18 25 23 11 0.9
E52 24 18 16 23 0.9
G23 8 0 33 22 1
G24 4 0 22 34 -1
G25 8 4 45 0 -2.5E-3
Q56 36 46 47 QIN
Q57 37 48 49 QIN
Q58 50 51 11 QLN
Q59 51 52 11 QLN
Q60 53 48 54 QIP
Q61 55 56 57 QIP
Q62 58 59 16 QLP
Q63 51 60 61 QPX
R320 63 64 200
R321 36 65 350
R322 66 53 350
R323 66 55 350
V4 16 67 1
R324 68 48 200
D30 46 69 DD
D31 48 69 DD
D32 70 56 DD
D33 70 48 DD
D34 71 0 DIN
D35 72 0 DIN
I9 0 71 0.1E-3
I10 0 72 0.1E-3
C27 63 0 1E-12
C28 2 0 1E-12
D36 73 0 DVN
D37 74 0 DVN
I11 0 73 0.1E-3
I12 0 74 0.1E-3
E146 68 75 73 74 0.485
E147 76 0 16 23 1
E148 77 0 11 23 1
E149 78 0 79 0 1
R329 76 80 1E6
R330 77 81 1E6
R331 78 82 1E6
R332 0 80 100
R333 0 81 100
R334 0 82 100
E150 83 3 82 0 0.17
R335 84 79 1E3
R336 79 85 1E3
C29 76 80 1E-12
C30 77 81 1E-12
C31 78 82 1E-12
R337 37 65 350
E151 86 83 81 0 0.1
E152 87 86 80 0 -0.06
C32 37 36 2E-12
C33 53 55 2E-12
G28 18 23 88 23 0.1E-3
E153 89 23 53 55 1
R338 89 88 1E3
C34 88 23 0.1E-12
R339 23 88 1E9
V12 44 0 1
V15 58 62 0
R341 58 61 1
R342 60 67 1
R343 51 52 8E-2
I14 0 90 1E-3
D39 90 0 DD
R345 0 91 1E7
E155 92 0 91 0 -1.75
R346 0 92 1E7
V17 90 91 1.2301
G29 16 59 92 0 -30.8E-6
F1 8 4 V15 -0.12
V21 16 69 0
V22 70 55 0
V23 16 65 -0.3
V24 66 11 -0.3
R347 0 93 1E4
R348 0 93 1E4
R349 0 94 1E4
R350 0 94 1E4
E158 63 87 45 0 1.125E-3
I15 0 95 1E-3
D40 95 0 DD
R352 0 45 1E7
V19 95 45 0.655
I16 8 4 1E-3
R353 87 63 1E9
R354 86 87 1E9
R355 83 86 1E9
R356 3 83 1E9
R357 0 44 1E9
E159 85 0 63 23 1
E160 84 0 68 23 1
.MODEL QON NPN RC=1 IS=1E-13
.MODEL QPX PNP BF=200 IS=1E-14
.MODEL DD D
.MODEL QIN NPN BF=3200
.MODEL QIP PNP BF=1350
.MODEL DVN D KF=2.5E-15
.MODEL DIN D KF=1E-15
.MODEL QLN NPN
.MODEL QLP PNP
.ENDS
* END MODEL LM7332
